angular.module('beamng.apps')
.directive('classicLogo', ['bngApi', 'StreamsManager', function (bngApi, StreamsManager) {
  return {
    template:
      '<img id="classicUI_LogoApp" on-load ng-src="{{ currentStyle.src }}" width="{{ currentStyle.width }}" height="{{ currentStyle.height }}" style="margin-left: {{ currentStyle.marginLeft }}" />',
    replace: true,
    link: function (scope, element, attrs) {
    	document.getElementById("classicUI_LogoApp").style.display = "none";
		scope.logoStyles = [
			{
				title: "v0.3",
				src: "modules/apps/ClassicLogo/logo.png",
				width: 220,
				height: 70,
				marginLeft: "0px",
				opacity: 1,
			},
			{
				title: "Pre-Race",
				src: "modules/apps/ClassicLogo/logo_prerace.png",
				width: 56,
				height: 56,
				marginLeft: "10px",
				opacity: 0.75,
			},
			{
				title: "Modern",
				src: "modules/apps/ClassicLogo/logo_modern.png",
				width: 220,
				height: "auto",
				marginLeft: "0px",
				opacity: 0.75,
			},
		];
		scope.currentStyle = scope.logoStyles[getStorageValue("logoStyle", 0)];

    	scope.$on('ClassicUI', function (event, state) {
    		if(state == "updateStyle") {
    			scope.currentStyle = scope.logoStyles[getStorageValue("logoStyle", 0)];
    		}
    	});

    	function getStorageValue(type, defVal) {
    		//FML
    		return localStorage.getItem("classicUI_" + type) || defVal;
    	}
    }
  };
}]).directive('onLoad', function() {
    return {
        restrict: 'A',
        link: function(scope, element, attrs) {
            element.bind('load', function() {
    			document.getElementById("classicUI_LogoApp").style.display = "block";
            });
            element.bind('error', function(){
                alert('image could not be loaded');
            });
        }
    };
});